var $AdfDhtmlChooseColorPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlChooseColorBasePeer$$, "AdfDhtmlChooseColorPeer", !1);
$goog$exportSymbol$$("AdfDhtmlChooseColorPeer", $AdfDhtmlChooseColorPeer$$);
$AdfDhtmlChooseColorPeer$$.$InitSubclass$ = function $$AdfDhtmlChooseColorPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$MOUSE_DOWN_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlChooseColorPeer.InitSubclass", $AdfDhtmlChooseColorPeer$$.$InitSubclass$);
$AdfDhtmlChooseColorPeer$$.prototype.$HandleComponentMouseDown$ = function $$AdfDhtmlChooseColorPeer$$$$$HandleComponentMouseDown$$($componentEvent$$530$$) {
  $componentEvent$$530$$.$getNativeEventTarget$();
  null != this.$_customPanelHandler$ && this.$_customPanelHandler$.$handleComponentMouseDown$($componentEvent$$530$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseColorPeer.prototype.HandleComponentMouseDown", {$HandleComponentMouseDown$:$AdfDhtmlChooseColorPeer$$.prototype.$HandleComponentMouseDown$});
